%define	name		libevent
%define	version		0.6
%define	release		5mdk
%define	major		0
%define libname	%mklibname event %{major}

Summary:		Abstract asynchronous event notification library
Name:			%{name}
Version:		%{version}
Release:		%{release}
URL:			http://www.monkey.org/~provos/libevent/
License:		BSD
Source0:		%{name}-%{version}.tar.bz2
Patch0:			libevent-0.6-semi_cvs_fix.patch.bz2
Group:			System/Libraries
BuildRoot:		%{_tmppath}/%{name}-%{version}-root

%description
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached. libevent is meant to replace the asynchronous event
loop found in event driven network servers. An application just needs
to call event_dispatch() and can then add or remove events dynamically
without having to change the event loop.

%package -n		%{libname}
Summary:		Abstract asynchronous event notification library
Group:          	System/Libraries
Obsoletes:		%{name}
Provides:		%{libname} = %{version}
Provides:		%{name}

%description -n		%{libname}
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached. libevent is meant to replace the asynchronous event
loop found in event driven network servers. An application just needs
to call event_dispatch() and can then add or remove events dynamically
without having to change the event loop.

%package -n		%{libname}-devel
Summary:		Static library and header files for the libevent library
Group:			Development/C
License: 		GPL
Obsoletes:		%{name}-devel
Provides:		%{libname}-devel = %{version}
Provides:		%{name}-devel
Requires:		%{libname} = %{version}-%{release}

%description -n		%{libname}-devel
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached. libevent is meant to replace the asynchronous event
loop found in event driven network servers. An application just needs
to call event_dispatch() and can then add or remove events dynamically
without having to change the event loop.

This package contains the static libevent library and its header files
needed to compile applications such as stegdetect, etc.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1
mv compat/sys/time.h compat/sys/_time.h

%build
%serverbuild
export CFLAGS="%{optflags} -fPIC"
%configure
%make
gcc -Wl,-soname,%{name}.so.%{major} -shared %{optflags} -fPIC -o %{name}.so.%{major}.%{version} *.o

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}/%{_includedir}
install -d %{buildroot}/%{_libdir}
install -d %{buildroot}/%{_mandir}/man3
install -m755 %{name}.so.%{major}.%{version} %{buildroot}/%{_libdir}/
install -m644 %{name}.a %{buildroot}/%{_libdir}/
install -m644 event.h %{buildroot}/%{_includedir}/%{name}.h
install -m644 event.3 %{buildroot}/%{_mandir}/man3/%{name}%{major}.3

ln -s %{name}.h %{buildroot}%{_includedir}/event.h
ln -s %{name}.so.%{major}.%{version} %{buildroot}%{_libdir}/%{name}.so
ln -s %{name}.so.%{major}.%{version} %{buildroot}%{_libdir}/%{name}.so.%{major}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig
%postun -n %{libname}-devel -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_mandir}/man3/*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a

%changelog
* Tue Feb 24 2004 Pascal Terjan <pterjan@mandrake.org> 0.6-5mdk
- remove Obsoletes on current version

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6-4mdk
- rebuild

* Wed Mar 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6-3mdk
- use the %%mklibname macro
- misc spec file fixes

* Mon Jan 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6-2mdk
- build release

* Mon Sep 16 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6-1mdk
- new version
- misc spec file fixes

* Sun Aug  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5-2mdk
- rebuilt with gcc-3.2

* Thu Jun 13 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5-1mdk
- new version

* Mon May 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4-1mdk
- new version
- added P0
- rebuilt with gcc3.1

* Sat Dec 22 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3d-1mdk
- initial cooker contrib
- stole the libpcap spec file
